Bug 1112520 - NetworkManager 1.12.2 crashes quite often
NetworkManager 1.12.2 crashes quite often
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE GNOME
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-19 06:56 UTC by Jiri Slaby
Modified: 2019-03-21 05:47 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
excerpt from /var/log/NetworkManager from the time of last crash (18.25 KB, text/plain)
2018-10-19 06:56 UTC, Jiri Slaby
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Slaby 2018-10-19 06:56:19 UTC
Created attachment 786503 [details]
excerpt from /var/log/NetworkManager from the time of last crash

NetworkManager started crashing a lot after update from 1.10.10 to 1.12.2.



$ grep NetworkMana /var/log/zypp/history
> 2018-07-30 08:23:23|install|libKF5NetworkManagerQt6|5.48.0-1.1|x86_64||repo-oss|7f881bc97931da58a2863ede87b3d824ed3a309cdf3ced671a0b151458ce3dff|
> 2018-07-30 08:26:43|install|NetworkManager-branding-openSUSE|42.1-4.5|noarch||repo-oss|b579dae2f13c16d7eca3d86ad279eec81faeea0dbc9ab0421d3a310c8503179b|
> 2018-07-30 08:29:05|install|NetworkManager|1.10.10-2.1|x86_64||repo-oss|5f5b97949dda13c496d0ce60d6049c77d798cd6b4aa8a32e802f940665f002ba|
> 2018-08-06 11:55:56|install|NetworkManager-vpnc|1.2.6-1.1|x86_64||repo-oss|97a8318f96ca8dfa8f8d250d8d2a8358dd49a333b8582a33088360eb1af7b5bd|
> 2018-10-11 14:14:44|install|NetworkManager-branding-openSUSE|42.1-4.6|noarch||repo-oss|a65d6f79be1a894e187cf330298fa9b13e5f96e26d1bb37c59b9bef41c8d14fb|
> 2018-10-11 14:17:24|install|libKF5NetworkManagerQt6|5.50.0-1.1|x86_64||repo-oss|8183840964fb1cbef747161ae4fcaffca973a4458d4a05b06b626a8d12c441c5|
> 2018-10-11 14:18:33|install|NetworkManager|1.12.2-1.2|x86_64||repo-oss|08f9fee5f82bcc8b1bc47d6117712ce86715000a41dbafab35fc71d18f8c3b58|
> 2018-10-11 14:18:55|install|NetworkManager-openvpn|1.8.6-1.1|x86_64||repo-oss|c43197774b573ba9e8fbedd50d9621a4ad28a0054324c2f335560bcddb35eb4a|

$ grep 'libgio-2_0-0|' /var/log/zypp/history
> 2018-06-16 15:08:41|install|libgio-2_0-0|2.56.1-2.2|x86_64||repo-oss|ca5e7282331ee8d4e5bb443c32a079a0779eb2769005b81364a90d420f3433f5|
> 2018-10-11 14:13:17|install|libgio-2_0-0|2.56.2-1.1|x86_64||repo-oss|0a20ca72ff889f3cefd1962206fa57cbdaabbdab768caefbd78460c96770487e|


$ ls -lrt --full-time /cores/
> -rw------- 1 root   root    64700416 2018-10-11 15:44:42.023565437 +0200 core.0.1285.NetworkManager
> -rw------- 1 root   root    55349248 2018-10-12 12:04:38.359988210 +0200 core.0.5144.NetworkManager
> -rw------- 1 root   root    56238080 2018-10-14 09:35:35.716114961 +0200 core.0.11937.NetworkManager
> -rw------- 1 root   root    55083008 2018-10-14 20:13:14.011844262 +0200 core.0.31803.NetworkManager
> -rw------- 1 root   root    72732672 2018-10-15 08:14:01.115868900 +0200 core.0.778.NetworkManager
> -rw------- 1 root   root     6234112 2018-10-16 09:15:34.020493273 +0200 core.0.168.haveged
> -rw------- 1 root   root    55455744 2018-10-18 07:52:25.291961417 +0200 core.0.23031.NetworkManager
> -rw------- 1 root   root    63156224 2018-10-18 07:52:55.639691719 +0200 core.0.10685.NetworkManager
> -rw------- 1 root   root    56279040 2018-10-18 17:38:21.167836068 +0200 core.0.11221.NetworkManager

$ gdb --batch -ex where /usr/sbin/NetworkManager /cores/core.0.11221.NetworkManager
> #0  0x00007fca1057d08b in raise () from /lib64/libc.so.6
> #1  0x00007fca105664e9 in abort () from /lib64/libc.so.6
> #2  0x00007fca105bf9a7 in __libc_message () from /lib64/libc.so.6
> #3  0x00007fca105c5e9c in malloc_printerr () from /lib64/libc.so.6
> #4  0x00007fca105c9338 in _int_malloc () from /lib64/libc.so.6
> #5  0x00007fca105c9dc5 in _int_realloc () from /lib64/libc.so.6
> #6  0x00007fca105cb04b in realloc () from /lib64/libc.so.6
> #7  0x00007fca112b996c in g_realloc () from /usr/lib64/libglib-2.0.so.0
> #8  0x00007fca1149f9ec in array_resize (size=<optimized out>, mbuf=0x7ffe13471720) at gdbusmessage.c:231
> #9  g_memory_buffer_write (mbuf=0x7ffe13471720, buffer=0x55a5ae98f310, count=31) at gdbusmessage.c:273
> #10 0x00007fca114a0273 in append_value_to_blob (value=value@entry=0x55a5ae8f5630, type=0x7fca1135cfe2, mbuf=mbuf@entry=0x7ffe13471720, out_padding_added=out_padding_added@entry=0x0,
>     error=error@entry=0x0) at gdbusmessage.c:2330
> #11 0x00007fca114a01bd in append_value_to_blob (value=value@entry=0x55a5ae9d36f0, type=<optimized out>, mbuf=mbuf@entry=0x7ffe13471720, out_padding_added=out_padding_added@entry=0x0,
>     error=error@entry=0x0) at gdbusmessage.c:2502
> #12 0x00007fca114a0238 in append_value_to_blob (value=value@entry=0x55a5ae900750, type=<optimized out>, mbuf=mbuf@entry=0x7ffe13471720,
>     out_padding_added=out_padding_added@entry=0x7ffe13471618, error=error@entry=0x0) at gdbusmessage.c:2478
> #13 0x00007fca1149fd5e in append_value_to_blob (value=value@entry=0x55a5ae928e30, type=<optimized out>, mbuf=mbuf@entry=0x7ffe13471720, out_padding_added=out_padding_added@entry=0x0,
>     error=error@entry=0x0) at gdbusmessage.c:2439
> #14 0x00007fca114a2765 in g_dbus_message_to_blob (message=message@entry=0x7fc9fc005e80, out_size=out_size@entry=0x7ffe134718d0, capabilities=<optimized out>, error=error@entry=0x0)
>     at gdbusmessage.c:2679
> #15 0x00007fca11496ecc in g_dbus_connection_send_message_unlocked (connection=connection@entry=0x55a5ae853040, message=message@entry=0x7fc9fc005e80,
>     flags=flags@entry=G_DBUS_SEND_MESSAGE_FLAGS_NONE, out_serial=out_serial@entry=0x0, error=error@entry=0x0) at gdbusconnection.c:1617
> #16 0x00007fca1149a120 in g_dbus_connection_send_message (connection=connection@entry=0x55a5ae853040, message=message@entry=0x7fc9fc005e80, flags=flags@entry=G_DBUS_SEND_MESSAGE_FLAGS_NONE,
>     out_serial=out_serial@entry=0x0, error=error@entry=0x0) at gdbusconnection.c:1731
> #17 0x00007fca1149e002 in g_dbus_connection_emit_signal (connection=0x55a5ae853040, destination_bus_name=destination_bus_name@entry=0x0, object_path=<optimized out>,
>     interface_name=interface_name@entry=0x55a5accb6ee8 "org.freedesktop.DBus.Properties", signal_name=signal_name@entry=0x55a5accb71cb "PropertiesChanged", parameters=0x55a5ae91f6d0,
>     error=0x0) at gdbusconnection.c:5576
> #18 0x000055a5acb39b51 in _nm_dbus_manager_obj_notify (obj=obj@entry=0x55a5ae863020, n_pspecs=n_pspecs@entry=1, pspecs=pspecs@entry=0x7ffe13471c00) at src/nm-dbus-manager.c:1244
> #19 0x000055a5acb6b4c8 in dispatch_properties_changed (object=0x55a5ae863020, n_pspecs=1, pspecs=0x7ffe13471c00) at src/nm-dbus-object.c:231
> #20 0x00007fca113977f1 in g_object_notify_by_pspec () from /usr/lib64/libgobject-2.0.so.0
> #21 0x000055a5acb55d59 in _notify (prop=PROP_ACTIVE_CONNECTIONS, obj=0x55a5ae863020) at src/nm-manager.c:1468
> #22 manager_device_state_changed (device=0x55a5ae9bc970, new_state=NM_DEVICE_STATE_DISCONNECTED, old_state=<optimized out>, reason=<optimized out>, user_data=0x55a5ae863020)
>     at src/nm-manager.c:1468
> #23 0x00007fca0fa436c5 in ?? () from /usr/lib64/libffi.so.7
> #24 0x00007fca0fa42bd7 in ?? () from /usr/lib64/libffi.so.7
> #25 0x00007fca113913f5 in g_cclosure_marshal_generic () from /usr/lib64/libgobject-2.0.so.0
> #26 0x00007fca1139097d in g_closure_invoke () from /usr/lib64/libgobject-2.0.so.0
> #27 0x00007fca113a3a83 in ?? () from /usr/lib64/libgobject-2.0.so.0
> #28 0x00007fca113acaba in g_signal_emit_valist () from /usr/lib64/libgobject-2.0.so.0
> #29 0x00007fca113ad10f in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
> #30 0x000055a5acc27477 in _set_state_full (self=self@entry=0x55a5ae9bc970, state=state@entry=NM_DEVICE_STATE_DISCONNECTED, reason=reason@entry=NM_DEVICE_STATE_REASON_CONNECTION_ASSUMED,
>     quitting=quitting@entry=0) at src/devices/nm-device.c:14140
> #31 0x000055a5acc283c7 in nm_device_state_changed (self=self@entry=0x55a5ae9bc970, state=state@entry=NM_DEVICE_STATE_DISCONNECTED,
>     reason=reason@entry=NM_DEVICE_STATE_REASON_CONNECTION_ASSUMED) at src/devices/nm-device.c:14308
> #32 0x000055a5acb53f9a in recheck_assume_connection (self=<optimized out>, device=<optimized out>) at src/nm-manager.c:2596
> #33 0x00007fca11390bb6 in ?? () from /usr/lib64/libgobject-2.0.so.0
> #34 0x00007fca113acb10 in g_signal_emit_valist () from /usr/lib64/libgobject-2.0.so.0
> #35 0x00007fca113ad10f in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
> #36 0x000055a5acc12158 in nm_device_emit_recheck_assume (user_data=0x55a5ae9bc970) at src/devices/nm-device.c:5520
> #37 0x00007fca112b3ea8 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
> #38 0x00007fca112b4298 in ?? () from /usr/lib64/libglib-2.0.so.0
> #39 0x00007fca112b4592 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
> #40 0x000055a5acb2d072 in main (argc=<optimized out>, argv=<optimized out>) at src/main.c:438
Comment 1 Sean Lewis 2018-10-20 19:31:18 UTC
Looks like this may have been fixed in 1.14.2. Suggest filing a bug report asking the maintainers to rev the package if you install this locally and it fixes the bug:

============================================= NetworkManager-1.14.2 Overview of changes since NetworkManager-1.14 ============================================= This is a new stable release of NetworkManager. Notable changes include: * Fix a bug that could cause NetworkManager to crash after checking connectivity status. * Correctly apply a default (-1) metric from DHCP. * Multiple fixes for IWD Wi-Fi backend. * Multiple fixes for builds with Meson build system. * Fix a crash with OLPC XO-1 mesh Wi-Fi. * Fix handling "serial.parity" and "serial.send-delay" properties in nmcli. * Improve auto-selecting device when activating a connection profile and don't auto-select unmanaged devices when activating multi-connect profile. * Avoid expiring the lifetime of IPv6 addresses from router advertisements. 

http://ftp.acc.umu.se/pub/GNOME/sources/NetworkManager/1.14/NetworkManager-1.14.2.tar.xz
Comment 2 Jiri Slaby 2018-10-23 06:36:58 UTC
Building 4.14.2, let's see.
Comment 3 Jiri Slaby 2019-03-21 05:47:52 UTC
Really fixed.